# Copyright 2018-present Lenovo
# Confidential and Proprietary


def get_infe_serv(scenario, model_path, model_name):
    print('Init Load Model')
    if scenario == "classification":
        from classification_infe_serv import ClassificationDeploySer
        inference_service_mgt = ClassificationDeploySer()
    elif scenario == "objectdetection":
        if model_name == "yolov3":
            from yolov3_detection_infe_serv import DetectionDeploySer
            inference_service_mgt = DetectionDeploySer()
        else:
            from fastrcnn_detection_infe_serv import DetectionDeploySer
            inference_service_mgt = DetectionDeploySer()
    elif scenario == "segmentation":
        from segmentation_infe_serv import SegmentationDeploySer
        inference_service_mgt = SegmentationDeploySer()
    else:
        message = 'The scenario must be one of classification,' + \
                  ',objectdetection, segmentation. But get' + scenario
        raise Exception(message)
    inference_service_mgt.load_model(model_path, model_name)
    print('Load Model Success')
    return inference_service_mgt
